//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
#define VERSION 1.0
//---------------------------------------------------------------------------
USEFORM("DirForm.cpp", Form1);
USERES("ChooseDir.res");
//---------------------------------------------------------------------------
AnsiString GetProgTitle(void)
// get executable name sans path and extension
{
    char buffer[256];
    AnsiString Program = AnsiString(GetCommandLine());
	// strip path info
    GetFileTitle(Program.c_str(),buffer,256);
    Program = buffer;
	// strip extension
	Program = Program.SubString(1,Program.LastDelimiter(".")-1);
	return Program;
}
//---------------------------------------------------------------------------
int exitcode = 0;
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{

	try
	{
		Application->Initialize();
		Application->CreateForm(__classid(TForm1), &Form1);
        if (ParamCount()) {
        	AnsiString text = "Provides a way to visually change directories "
            				  "from within a batch file.\n\n"
            				  "Usage:\n"
            				  "\tstart /wait "+GetProgTitle()+" >c:\\temp.bat\n"
                              "\tif errorlevel 1 goto cancel\n"
                              "\tcall c:\\temp.bat\n"
                              "\tdel c:\\temp.bat\n\n"
                              "\Returns 0 on Ok, 1 on Cancel\n";
        	Application->MessageBox(text.c_str(), GetProgTitle().c_str(), MB_OK);
            exitcode = 2;
        } else {
			Application->Run();
        }
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return exitcode;
}
//---------------------------------------------------------------------------
